import os
from time import gmtime, strftime

class EnvironmentManager:
	def __init__(self,deps_dir_rel):
		baseDirStatement = "export DEPS_HOME=\"$(pwd)/"+deps_dir_rel+"\"\n"
		self.env = [baseDirStatement]

	def add_package_env(self,package_name, package_env):
		if not package_env:
			return
		self.env.append("# " + package_name)
		self.env.extend(list(package_env))
		self.env.append('\n')

	def generate_script(self):
		result = ""
		result += """# -------------------------------------------------------------------------
# Generated by PPM
# Date : """+strftime("%Y-%m-%d %H:%M:%S", gmtime())+"""
# WARNING: Any modification introduced to this file will be overridden in the next ppm synchronization
# -------------------------------------------------------------------------
"""
		result += "\n".join(self.env)
		return result